Changes between Version 349 and Version 350 of BuildInstructions


Ignore:
Timestamp:
Jul 12, 2019, 10:30:32 PM (9 days ago)
Author:
historic_bruno
Comment:

Add Python 2.7 to list of Linux dependencies (required for cxxtest by default, and also for non-system SpiderMonkey 38), as it's not installed by default on e.g. Ubuntu 18.04

Legend:

Unmodified
Added
Removed
Modified
  • BuildInstructions

    v349 v350  
    9393 * CMake (only needed if you use bundled NVTT)
    9494 * GCC (at least 4.8.1, required by C++11 features)
     95 * Python 2.7 (required for cxxtest and non-system SpiderMonkey 38)
    9596 * libcurl (at least 7.32)
    9697 * libenet (1.3, the older 1.2 is not compatible)
     
    130131    libminiupnpc-dev libnspr4-dev libnvtt-dev libogg-dev libopenal-dev   \
    131132    libpng-dev libsdl2-dev libvorbis-dev libwxgtk3.0-dev libxcursor-dev  \
    132     libxml2-dev subversion zlib1g-dev
     133    libxml2-dev python subversion zlib1g-dev
    133134}}}
    134135   * With these dependencies you have to run: